Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		TeXmacs
Version:	1.0.6.14
Release:	2
Summary:	Structured wysiwyg scientific text editor

Group:		Editors
License:	GPLv2+
URL:		http://www.texmacs.org
Source:		ftp://ftp.texmacs.org/pub/TeXmacs/targz/TeXmacs-1.0.6.14-src.tar.gz
Patch5:         TeXmacs-1.6.0.7-rdelim.patch
Patch7:         TeXmacs-psfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	tetex
Requires:	tetex-fonts
Requires:	ghostscript
BuildRequires:	guile-devel
BuildRequires:	desktop-file-utils
BuildRequires:	tetex
BuildRequires:  freetype-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel
BuildRequires:	libtool-devel
Provides:       texmacs = %{version}-%{release}
#Requires:	fig2ps
Requires(post): shared-mime-info, desktop-file-utils
Requires(postun): shared-mime-info, desktop-file-utils
Obsoletes:	%{name}-doc

%description
GNU TeXmacs is a free scientific text editor, which was both inspired
by TeX and GNU Emacs. The editor allows you to write structured
documents via a wysiwyg (what-you-see-is-what-you-get) and user
friendly interface.  New styles may be created by the user. The
program implements high-quality typesetting algorithms and TeX fonts,
which help you to produce professionally looking documents.

The high typesetting quality still goes through for automatically
generated formulas, which makes TeXmacs suitable as an interface for
computer algebra systems. TeXmacs also supports the Guile/Scheme
extension language, so that you may customize the interface and write
your own extensions to the editor.

In the future, TeXmacs is planned to evolve towards a complete
scientific office suite, with spreadsheet capacities, a technical
drawing editor and a presentation mode.


%package devel
Summary:        Development files for TeXmacs
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries

%description devel
Development files required to create TeXmacs plugins.


%prep
%setup -q -n TeXmacs-%{version}-src
%patch5 -p1
%patch7 -p1
sed -i "s|LDPATH = \@CONFIG_BPATH\@|LDPATH =|" src/makefile.in


%build
%configure --enable-optimize="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install STRIP=/bin/true
export GUILE_DATA_PATH=%{_datadir}/guile
export GUILE_LOAD_PATH=$GUILE_DATA_PATH/1.8/ice-9
cp -r -f $GUILE_LOAD_PATH $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs
chmod -f 755 $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs/ice-9
mkdir -p $RPM_BUILD_ROOT%{_datadir}/application-registry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime-info
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -f $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime/texmacs.applications $RPM_BUILD_ROOT%{_datadir}/application-registry
cp $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime/texmacs.keys $RPM_BUILD_ROOT%{_datadir}/mime-info
cp $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime/texmacs.mime $RPM_BUILD_ROOT%{_datadir}/mime-info
cp $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/pixmaps/TeXmacs.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
rm -fr $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cat > $RPM_BUILD_ROOT%{_datadir}/mime/packages/texmacs.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
    <mime-type type="text/texmacs">
        <comment xml:lang="en">TeXmacs document</comment>
        <glob pattern="*.tm"/>
        <glob pattern="*.ts"/>
  </mime-type>
</mime-info>
EOF

cat > texmacs.desktop <<EOF
[Desktop Entry]
Type=Application
Exec=texmacs
Icon=%{_datadir}/pixmaps/TeXmacs.xpm
Name=GNU TeXmacs
Terminal=0
Comment=A structured wysiwyg scientific text editor
Encoding=UTF-8
MimeType=text/texmacs;text/english;text/plain;text/x-tex;
X-Desktop-File-Install-Version=0.4
StartupWMClass=TeXmacs
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
    --add-category X-Fedora \
    --add-category Application \
    --add-category Office \
    --add-category WordProcessor \
    --add-category Math \
    --add-category TextEditor \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    texmacs.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/mimetypes
cp $RPM_BUILD_ROOT%{_datadir}/pixmaps/TeXmacs.xpm $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-text-texmacs.xpm

rm -f $RPM_BUILD_ROOT%{_bindir}/fig2ps
rm -f $RPM_BUILD_ROOT%{_mandir}/man*/fig2ps*


%post
/usr/bin/update-mime-database /usr/share/mime > /dev/null 2>&1 || :
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :


%postun
/usr/bin/update-mime-database /usr/share/mime > /dev/null 2>&1 || :
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc LICENSE COPYING TeXmacs/README TeXmacs/TEX_FONTS
%{_bindir}/*
%{_mandir}/man*/*
%{_libexecdir}/*
%{_datadir}/TeXmacs
%exclude %{_datadir}/TeXmacs/examples/plugins
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-text-texmacs.xpm


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_datadir}/TeXmacs/examples/plugins


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed May 14 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.6.14-2
- readded changelog, obsolete for doc package
* Wed May 14 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.6.14-1
- Version update
* Thu Mar 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6.9-1
- version update
* Tue Aug 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6.6-1
- version update
* Mon Aug 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6.5-1
- Initial Release